CREATE 
   OR REPLACE
VIEW  CDM_Product_Master  AS
    SELECT 
         a . Product_Id  AS  Product_Id ,
         a . Product_Name  AS  Product_Name ,
         a . Product_Comm_Name  AS  Product_Comm_Name ,
         a . Product_LOV_Id  AS  Product_LOV_Id ,
         a . Product_Genome  AS  Product_Genome ,
         a . Product_Genome_LOV_Id  AS  Product_Genome_LOV_Id ,
         a . Brand_LOV_Id  AS  Brand_LOV_Id ,
         a . Div_LOV_Id  AS  Div_LOV_Id ,
         a . Dep_LOV_Id  AS  Dep_LOV_Id ,
         a . Cat_LOV_Id  AS  Cat_LOV_Id ,
         a . Season_LOV_Id  AS  Season_LOV_Id ,
         a . BU_LOV_Id  AS  BU_LOV_Id ,
         a . Section_LOV_Id  AS  Section_LOV_Id ,
         a . Manuf_LOV_Id  AS  Manuf_LOV_Id ,
         a . Comp_LOV_Id  AS  Comp_LOV_Id ,
         a . Brand_Id  AS  Brand_Id ,
         a . Div_Id  AS  Div_Id ,
         a . Dep_Id  AS  Dep_Id ,
         a . Cat_Id  AS  Cat_Id ,
         a . Season_Id  AS  Season_Id ,
         a . BU_Id  AS  BU_Id ,
         a . Section_Id  AS  Section_Id ,
         a . Manuf_Id  AS  Manuf_Id ,
         a . Is_Processed  AS  Is_Processed ,
         a . Is_Active  AS  Is_Active ,
         a . Is_Private_Label  AS  Is_Private_Label ,
         a . Is_Premium  AS  Is_Premium ,
         a . Unit_Price  AS  Unit_Price ,
         a . Inventory_Qty  AS  Inventory_Qty ,
         a . Up_Sell_LOV_Id  AS  Up_Sell_LOV_Id ,
         a . Cross_Sell_LOV_Id  AS  Cross_Sell_LOV_Id ,
         a . Launch_Date  AS  Launch_Date ,
         a . Expiry_Date  AS  Expiry_Date ,
         a . Launch_Year  AS  Launch_Year ,
         a . Launch_Year_Month  AS  Launch_Year_Month ,
         a . Launch_Day_Week  AS  Launch_Day_Week ,
         a . Uom  AS  Uom ,
         a . Tax_Category  AS  Tax_Category ,
         a . Product_Desc  AS  Product_Desc ,
         a . To_Be_Excluded  AS  To_Be_Excluded ,
         a . Is_Combo  AS  Is_Combo ,
         a . Is_Ingredient  AS  Is_Ingredient ,
         a . Festival_Id_During_Launch  AS  Festival_Id_During_Launch ,
         a . Brand_Event_Id_During_Launch  AS  Brand_Event_Id_During_Launch ,
         a . Fabric_Base  AS  Fabric_Base ,
         a . Fit  AS  Fit ,
         a . Design  AS  Design ,
         a . Colour  AS  Colour ,
         a . Replenish_Days  AS  Replenish_Days ,
         a . Custom_Attrib  AS  Custom_Attrib ,
         a . Custom_Tag1_LOV_Id  AS  Custom_Tag1_LOV_Id ,
         a . Custom_Tag2_LOV_Id  AS  Custom_Tag2_LOV_Id ,
         a . Custom_Tag3_LOV_Id  AS  Custom_Tag3_LOV_Id ,
         a . Custom_Tag4_LOV_Id  AS  Custom_Tag4_LOV_Id ,
         a . Custom_Tag5_LOV_Id  AS  Custom_Tag5_LOV_Id ,
         a . Created_Date  AS  Created_Date ,
         a . Modified_Date  AS  Modified_Date ,
         a . Associated_Age  AS  Associated_Age ,
         a . Image_LOV_Id  AS  Image_LOV_Id ,
         a . Product_URL  AS  Product_URL ,
         c . Product_Key  AS  Product_Key ,
		 d . ChangePc_ShortTerm  AS  ChangePc_ShortTerm  ,
		 d . ChangeBucket_Overall_ShortTerm  AS  ChangeBucket_Overall_ShortTerm  ,
		 d . ChangeBucket_Sector_ShortTerm  AS  ChangeBucket_Sector_ShortTerm  ,
		 d . ChangeBucket_CapSize_ShortTerm  AS  ChangeBucket_CapSize_ShortTerm  ,
		 d . ChangePc_MediumTerm  AS  ChangePc_MediumTerm  ,
		 d . ChangeBucket_Overall_MediumTerm  AS  ChangeBucket_Overall_MediumTerm  ,
		 d . ChangeBucket_Sector_MediumTerm  AS  ChangeBucket_Sector_MediumTerm  ,
		 d . ChangeBucket_CapSize_MediumTerm  AS  ChangeBucket_CapSize_MediumTerm  ,
		 d . ChangePc_LongTerm  AS  ChangePc_LongTerm  ,
		 d . ChangeBucket_Overall_LongTerm  AS  ChangeBucket_Overall_LongTerm  ,
		 d . ChangeBucket_Sector_LongTerm  AS  ChangeBucket_Sector_LongTerm  ,
		 d . ChangeBucket_CapSize_LongTerm  AS  ChangeBucket_CapSize_LongTerm  
        
    FROM
        ( CDM_Product_Master_Original   a 
        LEFT JOIN  CDM_Product_Key_Lookup   c  ON ( c . Product_Id  =  a . Product_Id )
        LEFT JOIN  CDM_Stockprice_Alerts   d  ON ( d . Product_Id  =  a . Product_Id ));
